<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- @author fabio.navarrete -->
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>
        <composite:attribute name="idTabla" required="true" />
        <composite:attribute name="tablaWV" required="true" />
        <composite:attribute name="unidadConstruccionNoConvencionalVigentes"
                             required="true" />
        <composite:attribute
            name="unidadConstruccionNoConvencionalVigentesSeleccionadas"
            required="true" />
        <composite:attribute name="unidadConstruccionSeleccionada"
                             required="true" />
        <composite:attribute name="detalleDialogWV" required="true" />
        <composite:attribute name="emptyMessage"
                             default="No hay registros disponibles" />
        <composite:attribute name="muestraSeleccion" default="false" />
        <composite:attribute name="muestraAcciones" default="false" />
        <composite:attribute name="confirmEliminarWV" />

        <composite:attribute name="onEditUnidadAction"
                             method-signature="void action()" />
    </composite:interface>

    <composite:implementation>

        <div style="overflow: auto; width: 100%;">
            <p:dataTable var="unidadConstruccion" id="#{cc.attrs.idTabla}"
                         widgetVar="#{cc.attrs.tablaWV}"
                         emptyMessage="#{cc.attrs.emptyMessage}"
                         value="#{cc.attrs.unidadConstruccionNoConvencionalVigentes}"
                         rowKey="#{unidadConstruccion.id}">
                <f:facet name="header">Unidades de construcción no convencional</f:facet>

                <p:column>
                    <h:selectBooleanCheckbox value="#{unidadConstruccion.selected}"
                                             rendered="#{cc.attrs.muestraSeleccion}" />

                    <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                    height="13" width="13"
                                    rendered="#{unidadConstruccion.cancelaInscribe=='C'}"
                                    title="Cancelado #{unidadConstruccion.id}" />
                    <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13"
                                    width="13" rendered="#{unidadConstruccion.cancelaInscribe=='I'}"
                                    title="Inscrito #{unidadConstruccion.id}" />
                    <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                    height="13" width="13"
                                    rendered="#{unidadConstruccion.cancelaInscribe=='M'}"
                                    title="Asociado/Modificado #{unidadConstruccion.id}" />
                </p:column>

                <p:column rendered="#{cc.attrs.muestraAcciones}">
                    <f:facet name="header">Acciones</f:facet>
                    <p:commandButton title="Eliminar"
                                     onclick="#{cc.attrs.confirmEliminarWV}.show()" process="@this"
                                     icon="ui-icon-trash">
                        <f:setPropertyActionListener value="#{unidadConstruccion}"
                                                     target="#{cc.attrs.unidadConstruccionSeleccionada}" />
                    </p:commandButton>

                    <p:commandButton title="Editar unidad de construcción"
                                     icon="ui-icon-pencil"
                                     oncomplete="#{cc.attrs.detalleDialogWV}.show()"
                                     action="#{cc.attrs.onEditUnidadAction}"
                                     update="#{cc.attrs.updateOnEdit}" ajax="true" process="@this">
                        <f:setPropertyActionListener
                            target="#{cc.attrs.unidadConstruccionSeleccionada}"
                            value="#{unidadConstruccion}" />
                    </p:commandButton>
                </p:column>

                <p:column>
                    <f:facet name="header">Unidad</f:facet>
                    <h:outputText value="#{unidadConstruccion.unidad}" />
                </p:column>

                <p:column>
                    <f:facet name="header">Uso unidad</f:facet>
                    <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">Descripción<br /> construcción</f:facet>
                    <h:outputText value="#{unidadConstruccion.descripcion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">Tipo</f:facet>
                    <h:outputText value="#{unidadConstruccion.tipificacionValor}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Avalúo<br /> unidad
                    </f:facet>
                    <h:outputText value="#{unidadConstruccion.avaluo}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">Detalle</f:facet>
                    <p:commandButton title="Detalle" icon="ui-icon-search"
                                     update="#{cc.attrs.updateOnEdit}" ajax="true" immediate="true"
                                     action="#{cc.attrs.onEditUnidadAction}"
                                     oncomplete="#{cc.attrs.detalleDialogWV}.show()">
                        <f:setPropertyActionListener
                            target="#{cc.attrs.unidadConstruccionSeleccionada}"
                            value="#{unidadConstruccion}" />
                        <f:setPropertyActionListener
                            target="#{proyectarConservacion.datosConstruccionSoloLectura}"
                            value="true" />
                        <f:setPropertyActionListener value="false"
                                                     target="#{proyectarConservacion.esNuevaUnidadConstruccion}" />
                    </p:commandButton>
                </p:column>
            </p:dataTable>
        </div>
    </composite:implementation>

</html>